use strict;
use warnings;
use URI;
use LWP::UserAgent;
binmode STDOUT, ":utf8";

my $uri = URI->new('http://gihyo.jp/');
my $ua  = LWP::UserAgent->new();
my $res = $ua->get( $uri );
die $res->status_line if $res->is_error;
my ($title) = $res->decoded_content =~ m!<title>(.+?)</title>!i;
print "$title\n";
