use strict;
use warnings;
use LWP::UserAgent;
use URI;
use JSON qw/decode_json/;
use Encode qw/encode_utf8/;
use utf8;

my $query = '歌ってみた';
my $uri = URI->new('http://gdata.youtube.com/feeds/api/videos');
$uri->query_form(
    alt      => 'json',
    order_by => 'rating',
    q        => $query
);
my $ua = LWP::UserAgent->new;
my $res = $ua->get($uri);
die "Error: " . $res->status_line if $res->is_error;
my $json = $res->decoded_content;
my $ref  = decode_json($json);

for my $entry ( @{ $ref->{feed}{entry} } ) {
    print $entry->{link}[0]{href} . "\n";
}

